;InnoSetupVersion=4.1.0

[Setup]
AppName=NetSignet
AppVerName=NetSignet v1.54 (2004/01/24)
AppId=NetSignet
AppPublisher=GelegWeb - Georges-Etienne Legendre
AppPublisherURL=http://www.netsignet.net
AppSupportURL=http://www.netsignet.net
AppUpdatesURL=http://www.netsignet.net
AppMutex=NetSignetMutex
DefaultDirName={pf}\NetSignet
UninstallDisplayIcon=D:\Projets\NetSignet\netsignet.exe
OutputBaseFilename=netsignet-setup
Compression=bzip2
PrivilegesRequired=none
DisableProgramGroupPage=yes
ChangesAssociations=yes
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{tmp}\isxdl.dll"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\en.ini"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\fr.ini"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{app}\netsignet.exe"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\netsignet.exe.manifest"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\netsignetcontrol.exe"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\hotkey.ocx"; DestDir: "{app}"; Components: main; Flags: regserver ignoreversion 
Source: "{app}\Languages\french.nsl"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\Languages\french.hlp"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\Languages\french.cnt"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\Languages\english.nsl"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\Languages\english.hlp"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\Languages\english.cnt"; DestDir: "{app}\Languages"; Components: main; Flags: ignoreversion 
Source: "{app}\cNewMenu6.dll"; DestDir: "{app}"; Components: main; Flags: regserver ignoreversion 
Source: "{app}\SSubTmr6.dll"; DestDir: "{app}"; Components: main; Flags: regserver ignoreversion 
Source: "{app}\vbalflbr6.dll"; DestDir: "{app}"; Components: main; Flags: regserver ignoreversion 
Source: "{app}\example.nts"; DestDir: "{app}"; Components: main; 
Source: "{sys}\VB6FR.dll"; DestDir: "{sys}"; Components: vbrun; Flags: uninsneveruninstall restartreplace sharedfile 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; Flags: uninsdeletekey noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "Default Visible"; ValueType: String; ValueData: "yes"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "ButtonText"; ValueType: String; ValueData: "NetSignet"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "MenuText"; ValueType: String; ValueData: "NetSignet"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "HotIcon"; ValueType: String; ValueData: "{app}\netsignetcontrol.exe,1"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "Icon"; ValueType: String; ValueData: "{app}\netsignetcontrol.exe,1"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "Exec"; ValueType: String; ValueData: "{app}\netsignetcontrol.exe"; Flags: noerror 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{B12EB2B2-6642-40EB-80A9-DF240B652FEB}"; ValueName: "CLSID"; ValueType: String; ValueData: "{{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"; Flags: noerror 
Root: HKCR; Subkey: ".nts"; ValueType: String; ValueData: "NetSignetFile"; Flags: uninsdeletevalue noerror 
Root: HKCR; Subkey: "NetSignetFile"; ValueType: String; ValueData: "Fichier NetSignet"; Languages: "fr"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "NetSignetFile"; ValueType: String; ValueData: "NetSignet File"; Languages: "en"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "NetSignetFile\DefaultIcon"; ValueType: String; ValueData: "{app}\netsignet.exe,0"; Flags: noerror 
Root: HKCR; Subkey: "NetSignetFile\shell\open\command"; ValueType: String; ValueData: """{app}\netsignet.exe"" -open:""%1"""; Flags: noerror 

[INI]
FileName: "{app}\options.ini"; Section: "General"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "General"; Key: "blnFirstStartUpdate"; String: "1"; 
FileName: "{app}\options.ini"; Section: "General"; Key: "blnFirstStart"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "General"; Key: "blnShowSearch"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "General"; Key: "blnAddBookmarkBigSize"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "General"; Key: "blnFileWasOpen"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "General"; Key: "strDefaultBrowser"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "MainWindow"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "MainWindow"; Key: "Width"; String: "8600"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "MainWindow"; Key: "Height"; String: "7000"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str1"; String: "{app}\example.nts"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str2"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str3"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str4"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str5"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str6"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str7"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str8"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str9"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFiles"; Key: "str10"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str2"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str3"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str4"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str5"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str6"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str7"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str8"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str9"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "LastFilesFTP"; Key: "str10"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnGeneral_Minimize"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnGeneral_AutoOpen"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnGeneral_Backup"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnGeneral_AutoSave"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strGeneral_Language"; String: "french.nsl"; 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strGeneral_Language"; String: "english.nsl"; 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnMenu_OfficeXPStyle"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnMenu_Together"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnMenu_LeftClick"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnMenu_Quit"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "lngCurrentMode"; String: "1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnActionLocation"; String: "0"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strBrowser1"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strBrowser2"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "blnMaximized"; String: "0"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strSearch1"; String: "Microsoft Internet Explorer"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "strSearch2"; String: "Netscape"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "Preferences"; Key: "lngNumberHistory"; String: "8"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "FTP"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "FTP"; Key: "LastConnection"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "HotKey"; Flags: uninsdeletesection 
FileName: "{app}\options.ini"; Section: "HotKey"; Key: "Modifier0"; String: "2"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "HotKey"; Key: "KeyCode0"; String: "122"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "HotKey"; Key: "Modifier1"; String: "0"; Flags: createkeyifdoesntexist 
FileName: "{app}\options.ini"; Section: "HotKey"; Key: "KeyCode1"; String: "122"; Flags: createkeyifdoesntexist 
FileName: "{app}\netsignet.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.netsignet.net/"; 

[Run]
Filename: "{app}\netsignet.exe"; Description: "Lancer NetSignet"; Languages: "fr"; Flags: postinstall skipifsilent nowait
Filename: "{app}\netsignet.exe"; Description: "Launch NetSignet"; Languages: "en"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userprograms}\NetSignet\NetSignet"; Filename: "{app}\netsignet.exe"; 
Name: "{userprograms}\NetSignet\NetSignet - www.netsignet.net"; Filename: "{app}\netsignet.url"; 
Name: "{userprograms}\NetSignet\Supprimer NetSignet"; Filename: "{uninstallexe}"; Languages: "fr"; 
Name: "{userprograms}\NetSignet\Uninstall NetSignet"; Filename: "{uninstallexe}"; Languages: "en"; 
Name: "{userstartup}\NetSignet"; Filename: "{app}\netsignet.exe"; Tasks: startupicon; 
Name: "{userdesktop}\NetSignet"; Filename: "{app}\netsignet.exe"; Tasks: desktopicon; 

[Tasks]
Name: "startupicon"; Description: "Lancer NetSignet automatiquement au &dmarrage de l'ordinateur"; GroupDescription: "Paramtres additionnels :"; Languages: "fr"; 
Name: "desktopicon"; Description: "Ajouter un raccourci sur le &bureau"; GroupDescription: "Paramtres additionnels :"; Languages: "fr"; 
Name: "startupicon"; Description: "Launch NetSignet at Windows startup."; GroupDescription: "Additional parameters :"; Languages: "en"; 
Name: "desktopicon"; Description: "Add a desktop shortcut."; GroupDescription: "Additional parameters :"; Languages: "en"; 

[Components]
Name: "main"; Description: "NetSignet"; Types: "full custom"; 
Name: "vbrun"; Description: "Fichier d'excution de VB6"; Types: "full"; ExtraDiskSpaceRequired: "2001924"; Languages: "fr"; 
Name: "vbrun"; Description: "VB6 runtime"; Types: "full"; ExtraDiskSpaceRequired: "2001924"; Languages: "en"; 

[Types]
Name: "full"; Description: "Installation complte (NetSignet + VB6)"; Languages: "fr"; 
Name: "full"; Description: "Full install (NetSignet + VB6)"; Languages: "en"; 
Name: "custom"; Description: "Installation personnalise"; Languages: "fr"; 
Name: "custom"; Description: "Custom install"; Languages: "en"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "fr"; MessagesFile: "embedded\fr.isl"; LicenseFile: "embedded\frLicense.rtf"; 
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.rtf"; 
